--- /dev/null	ven. janv. 17 07:31:16 2014
+++ new/usr/src/common/acpica/tools/acpihelp/acpihelp.h	ven. janv. 17 07:31:16 2014
@@ -0,0 +1,152 @@
+/******************************************************************************
+ *
+ * Module Name: acpihelp.h - Include file for AcpiHelp utility
+ *
+ *****************************************************************************/
+
+/*
+ * Copyright (C) 2000 - 2014, Intel Corp.
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions, and the following disclaimer,
+ *    without modification.
+ * 2. Redistributions in binary form must reproduce at minimum a disclaimer
+ *    substantially similar to the "NO WARRANTY" disclaimer below
+ *    ("Disclaimer") and any redistribution must be conditioned upon
+ *    including a substantially similar Disclaimer requirement for further
+ *    binary redistribution.
+ * 3. Neither the names of the above-listed copyright holders nor the names
+ *    of any contributors may be used to endorse or promote products derived
+ *    from this software without specific prior written permission.
+ *
+ * Alternatively, this software may be distributed under the terms of the
+ * GNU General Public License ("GPL") version 2 as published by the Free
+ * Software Foundation.
+ *
+ * NO WARRANTY
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR
+ * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ * HOLDERS OR CONTRIBUTORS BE LIABLE FOR SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+ * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+ * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ * POSSIBILITY OF SUCH DAMAGES.
+ */
+
+#ifndef __ACPIHELP_H
+#define __ACPIHELP_H
+
+
+#include "acpi.h"
+#include "accommon.h"
+#include "acapps.h"
+
+#include <stdio.h>
+#include <sys/stat.h>
+#include <sys/types.h>
+#include <fcntl.h>
+#include <ctype.h>
+#include <string.h>
+#ifdef WIN32
+#include <io.h>
+#include <direct.h>
+#endif
+#include <errno.h>
+
+
+#define     AH_DECODE_DEFAULT           0
+#define     AH_DECODE_ASL               1
+#define     AH_DECODE_ASL_KEYWORD       2
+#define     AH_DECODE_PREDEFINED_NAME   3
+#define     AH_DECODE_AML               4
+#define     AH_DECODE_AML_OPCODE        5
+#define     AH_DISPLAY_DEVICE_IDS       6
+#define     AH_DECODE_EXCEPTION         7
+
+#define     AH_MAX_ASL_LINE_LENGTH      70
+#define     AH_MAX_AML_LINE_LENGTH      100
+
+
+typedef struct ah_aml_opcode
+{
+    UINT16          OpcodeRangeStart;
+    UINT16          OpcodeRangeEnd;
+    char            *OpcodeString;
+    char            *OpcodeName;
+    char            *Type;
+    char            *FixedArguments;
+    char            *VariableArguments;
+    char            *Grammar;
+
+} AH_AML_OPCODE;
+
+typedef struct ah_asl_operator
+{
+    char            *Name;
+    char            *Syntax;
+    char            *Description;
+
+} AH_ASL_OPERATOR;
+
+typedef struct ah_asl_keyword
+{
+    char            *Name;
+    char            *Description;
+    char            *KeywordList;
+
+} AH_ASL_KEYWORD;
+
+typedef struct ah_device_id
+{
+    char            *Name;
+    char            *Description;
+
+} AH_DEVICE_ID;
+
+
+extern const AH_AML_OPCODE          AmlOpcodeInfo[];
+extern const AH_ASL_OPERATOR        AslOperatorInfo[];
+extern const AH_ASL_KEYWORD         AslKeywordInfo[];
+extern BOOLEAN                      AhDisplayAll;
+
+void
+AhStrupr (
+    char                    *SrcString);
+
+void
+AhFindAmlOpcode (
+    char                    *Name);
+
+void
+AhDecodeAmlOpcode (
+    char                    *Name);
+
+void
+AhDecodeException (
+    char                    *Name);
+
+void
+AhFindPredefinedNames (
+    char                    *Name);
+
+void
+AhFindAslOperators (
+    char                    *Name);
+
+void
+AhFindAslKeywords (
+    char                    *Name);
+
+void
+AhDisplayDeviceIds (
+    void);
+
+#endif /* __ACPIHELP_H */
